# $Revision: 1.8 $, $Date: 2008-03-12 16:04:31 $
%define		fversion	%(echo %{version} |tr r -)
%define		modulename	gee
Summary:	Generalized Estimation Equation solver
Summary(pl.UTF-8):	Rozwiązywanie uogólnionych równań estymacji
Name:		R-cran-%{modulename}
Version:	4.13r10
Release:	3
License:	GPL v2
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	7f32a7f7b022dd366d27482a3561d2a6
BuildRequires:	R-base >= 2.0.0
BuildRequires:	blas-devel
BuildRequires:	gcc-g77
Requires(post,postun):	R-base >= 2.0.0
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generalized Estimation Equation solver.

%description -l pl.UTF-8
Rozwiązywanie uogólnionych równań estymacji.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,README*}
%{_libdir}/R/library/%{modulename}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: R-cran-gee.spec,v $
Revision 1.8  2008-03-12 16:04:31  glen
- revert R-base ver bump

Revision 1.7  2007-02-12 21:23:45  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.5  2007/02/08 18:02:05  baggins
- fixed post script for R 2.4.0
- R: R >= 2.4.0

Revision 1.4  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.3  2005/06/03 01:23:08  zbyniu
- BR: blas-devel, gcc-g77

Revision 1.2  2004/11/20 00:12:35  qboosh
- pl fixes, License unification

Revision 1.1  2004/11/16 22:56:00  undefine
- initital
